<?php

namespace Drupal\paragon_gin;

use Drupal\Core\Access\AccessResultAllowed;
use Drupal\Core\Cache\CacheableMetadata;
use Drupal\Core\DependencyInjection\ContainerInjectionInterface;
use Drupal\Core\Menu\LocalTaskManagerInterface;
use Drupal\Core\Render\Element;
use Drupal\Core\Routing\AdminContext;
use Drupal\Core\Routing\RouteMatchInterface;
use Symfony\Component\DependencyInjection\ContainerInterface;

class Preprocess {
  /**
   * Implements hook_preprocess_block().
   *
   * Add the block plugin id to the block attributes for the tooltip.
   */
  public function block (&$variables) {
    if (!empty($variables['elements']['content']['#block_content'])) {
      $block = $variables['elements']['content']['#block_content'];
      $variables['attributes']['data-paragon-gin-plugin-id'] =  t('Block: @label', ['@label' => $block->bundle()]);
    }
  }
}
